
Auto Multiple Choice - Bug # 416: handling of namefield changed, making old exams incompatible

Status: Closed Priority: High
Author: Pieter  Van den Hombergh Category:
Created: 03/28/2016 Assignee:
Updated: 03/29/2016 Due date:
Description: I use the namefield in a separate file, to maximize reuse.

Upgrading to AMC 1.3.0 now produces a warning and printing with separated answer sheets produces no 
output (no files).
Also the check layout menu is empty.
The files compile correctly (with pdflatex).
How is `The \namefield command is not used.` detected?
Bottom line: I cannot use 1.3.0 with my current setup and must fall back to 1.2.0

History
03/29/2016 12:35 am - Alexis Bienvenüe
Please post a minimal source file showing your problem.

03/29/2016 09:37 am - Pieter  Van den Hombergh
- File toy_20160329.zip added

Hell Alexis,

Although not quite minimal, it is a modified form of my toy exam which show the problem.

Normally I do NOT have the questions as subdir of an exam but somewhere else. I have put them in a subdir to make the example complete.

Use: create a project named toy_20160329 , then unzip the zipfile below over it, maybe excluding the project.xml file.

Note that the problem also occurs on the other machien I build with, which runs AMC 1.2.1515 (svn:1522), really old and it shows the same bevahiour, 
so most likely the problem is on my
side. I will keep investigating too, and report as soon as I find something relevant.

Thx as always.
 

03/29/2016 10:40 am - Alexis Bienvenüe
First remark: don't include
<pre>
\AMCformBegin
\AMCassociation{\id}
</pre>
inside the arguments of the @\namefield@ command (via your @\AnswerFormHeadAlt@), but move them in @onecolumnform.tex@, in the 
@\subject@ definition, between @\clearpage@ and the @\namefield@ call.
With your setting, the effects of @\AMCformBegin@ are only local inside @\namefield@, and this makes trouble — for example, there are no ID boxes 
at the top of the answer sheet pages.

Also, use @\AnswerFormHeadAlt@ instead of @\namefield{\AnswerFormHeadAlt}@ in @onecolumnform.tex@ (see differences in the _Check 
Layouts_ window): @\champnom@, which is the same command as @\namefield@ (but in French), is already used in the @\AnswerFormHeadAlt@ 
command definition.

03/29/2016 11:00 am - Pieter  Van den Hombergh
You are wonderfull.

Never expected this quick response and the fact that you would be willing to look into my forest of files ;-)

I have changed as per you isntructions and now it works (at least the toy exam).

I will do a full test and let you know.

03/29/2016 12:07 pm - Pieter  Van den Hombergh
The solution you provided works.
As far as I am concerned you may close this issue.

Thx again.

03/29/2016 01:49 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Good!

Files
toy_20160329.zip 2.2 MB 03/29/2016 Pieter  Van den Hombergh
